{
  "schema_version": "1.4.0",
  "id": "GHSA-m6m3-cpjp-mwgw",
  "modified": "2025-04-09T03:56:00Z",
  "published": "2022-05-01T23:53:50Z",
  "aliases": [
    "CVE-2008-2826"
  ],
  "details": "Integer overflow in the sctp_getsockopt_local_addrs_old function in net/sctp/socket.c in the Stream Control Transmission Protocol (sctp) functionality in the Linux kernel before 2.6.25.9 allows local users to cause a denial of service (resource consumption and system outage) via vectors involving a large addr_num field in an sctp_getaddrs_old data structure.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-2826"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/43559"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-2629"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=735ce972fbc8a65fb17788debd7bbe7b4383cc62"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=735ce972fbc8a65fb17788debd7bbe7b4383cc62"
    },
    {
      "type": "WEB",
      "url": "http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.25.9"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-07/msg00009.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-10/msg00008.html"
    },
    {
      "type": "WEB",
      "url": "http://lwn.net/Articles/287350"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30901"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31107"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31202"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31551"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31628"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32370"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0207"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1630"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v2.4/ChangeLog-2.4.36.7"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:167"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:174"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0585.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29990"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1020514"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-625-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2511"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-07-02T16:41:00Z"
  }
}